﻿using System;
using System.Collections.Generic;

namespace MPlayer.DotNet
{
    /// <summary>
    /// Keep information about video or audio mode
    /// </summary>
    public class MPlayerModeCommand
    {
        public MPlayerVideoModeName VideoMode { get; internal set; }
        public MPlayerAudioModeName AudioMode { get; internal set; }
        public string Command { get; internal set; }
        internal List<PlatformID> Platroms = new List<PlatformID>();

        public MPlayerModeCommand(MPlayerVideoModeName mode, string commandName, IEnumerable<PlatformID> platformIds)
        {
            VideoMode = mode;
            Platroms.AddRange(platformIds);
            Command = commandName;
        }

        public MPlayerModeCommand(MPlayerAudioModeName mode, string commandName, IEnumerable<PlatformID> platformIds)
        {
            AudioMode = mode;
            Platroms.AddRange(platformIds);
            Command = commandName;
        }
    }
}
